;-| Super Motions |--------------------------------------------------------

;-| Special Motions |------------------------------------------------------
[Command]
name = "catch00"
command = c

[Command]
name = "punch00"
command = a

[Command]
name = "punch01"
command = b

[Command]
name = "fire"
command = /x

[Command]
name = "ai1"
command = a+b+c+x+y+z

[Command]
name = "ai2"
command = F+B+U+D

[Command]
name = "ai3"
command = a+b+x+y+z

[Command]
name = "ai4"
command = a+b+c+x+y

[Command]
name = "ai5"
command = b+c+x+y+z

[Command]
name = "ai6"
command = a+c+x+y+z

[Command]
name = "ai7"
command = s

[Command]
name = "rebirth"
command = F,F,B,B,U,U,D,D,s
time = 120

[Command]
name = "aioff"
command = ~30s

;-----------------
; QCB
;-----------------
;--------------------
;Charge_Down_up
;--------------------
;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
;-| Single Button |---------------------------------------------------------
[Command]
name = "openmouth"
command = z

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup"   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1


;-------------------------------------------------------
[StateDef -1]

;---------------------------------------------
;A.I.
[State -1,1]
type = VarSet
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
triggerall = Command != "rebirth"
triggerall = Command != "aioff"
trigger1 = Command = "ai1"
trigger2 = Command = "ai2"
trigger3 = Command = "ai3"
trigger4 = Command = "ai4"
trigger5 = Command = "ai5"
trigger6 = Command = "ai6"
trigger7 = Command = "ai7"
trigger8 = PalNo >= 7
v = 2
value = 1

[State -1,2]
type = VarSet
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
trigger1 = PalNo <= 6
trigger1 = Command = "aioff"
v = 2
value = 0

[State -1,3]
type = VarSet
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
triggerall = Command = "rebirth"
trigger1 = StateNo = 191
trigger1 = Time <= 156
trigger2 = Var(4) <= 90
v = 3
value = 1

[State -1,4]
type = VarAdd
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
trigger1 = StateNo = 0
trigger1 = Var(4) <= 90
v = 4
value = 1

;-----------------------------------------
[State -1,6]
type = VarAdd
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4204
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
trigger1 = Time >= 0
trigger1 = Var(0) > 0
v = 0
value = -1

[State -1,7]
type = VarSet
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4204
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
triggerall = Var(3) = 1
trigger1 = Time >= 0
trigger1 = Var(0) > 0
v = 0
value = 0

;-----catch00--------
[State -1,8]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
triggerall = Var(0) = 0
triggerall = Numhelper(4000) = 0
triggerall = Numhelper(4001) = 0
triggerall = Numhelper(4002) = 0
triggerall = Numhelper(4100) = 0
triggerall = Numhelper(4101) = 0
triggerall = Numhelper(4102) = 0
triggerall = Numhelper(4200) = 0
triggerall = Numhelper(4201) = 0
triggerall = Numhelper(4202) = 0
trigger1 = Var(2) = 0
trigger1 = StateNo = 0
trigger1 = Command = "catch00"
trigger2 = Var(2) = 1
trigger2 = P2Life > 0
trigger2 = StateNo = 0
trigger2 = P2Dist X < 80
trigger2 = Power >= 1500
value = 4200

;-----punch01--------
[State -1,9]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
triggerall = Var(0) = 0
triggerall = Numhelper(4000) = 0
triggerall = Numhelper(4001) = 0
triggerall = Numhelper(4002) = 0
triggerall = Numhelper(4100) = 0
triggerall = Numhelper(4101) = 0
triggerall = Numhelper(4102) = 0
triggerall = Numhelper(4200) = 0
triggerall = Numhelper(4201) = 0
triggerall = Numhelper(4202) = 0
trigger1 = Var(2) = 0
trigger1 = StateNo = 0
trigger1 = Command = "punch01"
trigger2 = Var(2) = 1
trigger2 = P2Life > 0
trigger2 = StateNo = 0
trigger2 = Power < 1500
trigger2 = P2Dist X < 100
trigger2 = P2BodyDist X > -50
value = 4100

;-----punch00--------
[State -1,10]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
triggerall = Var(0) = 0
triggerall = Numhelper(4000) = 0
triggerall = Numhelper(4001) = 0
triggerall = Numhelper(4002) = 0
triggerall = Numhelper(4100) = 0
triggerall = Numhelper(4101) = 0
triggerall = Numhelper(4102) = 0
triggerall = Numhelper(4200) = 0
triggerall = Numhelper(4201) = 0
triggerall = Numhelper(4202) = 0
trigger1 = Var(2) = 0
trigger1 = StateNo = 0
trigger1 = Command = "punch00"
trigger2 = Var(2) = 1
trigger2 = P2Life > 0
trigger2 = StateNo = 0
trigger2 = P2Dist X > 200
value = 4000

;--------fire------------
[State -1,11]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
triggerall = Numhelper(4100) = 0
triggerall = Numhelper(4101) = 0
triggerall = Numhelper(4102) = 0
triggerall = Var(1) = 1
trigger1 = Var(2) = 0
trigger1 = StateNo = 0
trigger1 = Command = "fire"
trigger2 = Var(2) = 0
trigger2 = StateNo = 4000
trigger2 = Command = "fire"
trigger3 = Var(2) = 0
trigger3 = Var(3) = 1
trigger3 = StateNo = 4200
trigger3 = Command = "fire"
trigger4 = Var(2) = 1
trigger4 = P2Life > 0
trigger4 = StateNo = 0
trigger4 = P2StateNo = 5050
trigger5 = Var(2) = 1
trigger5 = P2Life > 0
trigger5 = StateNo = 4000
trigger5 = Time = 120
trigger5 = P2Dist X > 80
trigger6 = Var(2) = 1
trigger6 = Var(3) = 1
trigger6 = StateNo = 4200
trigger6 = P2StateNo = 5050
value = 3000

[State -1,12]
type = VarSet
triggerall = StateNo != 3100
triggerall = StateNo != 4001
triggerall = StateNo != 4002
triggerall = StateNo != 4003
triggerall = StateNo != 4101
triggerall = StateNo != 4102
triggerall = StateNo != 4103
triggerall = StateNo != 4104
triggerall = StateNo != 4201
triggerall = StateNo != 4202
triggerall = StateNo != 4203
triggerall = StateNo != 4204
triggerall = StateNo != 4210
triggerall = StateNo != 4220
triggerall = StateNo != 4221
triggerall = StateNo != 4222
trigger1 = Power >= 1000
v = 1
value = 1

[State -1,13]
type = PowerAdd
trigger1 = Var(3) = 1
value = 2

;----------------------
;WalkFront
[State -1,14]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
triggerall = Numhelper(4000) = 0
triggerall = Numhelper(4001) = 0
triggerall = Numhelper(4002) = 0
triggerall = Numhelper(4100) = 0
triggerall = Numhelper(4101) = 0
triggerall = Numhelper(4102) = 0
triggerall = Numhelper(4200) = 0
triggerall = Numhelper(4201) = 0
triggerall = Numhelper(4202) = 0
trigger1 = Var(2) = 0
trigger1= Command = "holdfwd"
trigger1 = StateNo = 0
value = 1010

;WalkBack
[State -1,15]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
triggerall = Numhelper(4000) = 0
triggerall = Numhelper(4001) = 0
triggerall = Numhelper(4002) = 0
triggerall = Numhelper(4100) = 0
triggerall = Numhelper(4101) = 0
triggerall = Numhelper(4102) = 0
triggerall = Numhelper(4200) = 0
triggerall = Numhelper(4201) = 0
triggerall = Numhelper(4202) = 0
trigger1 = Var(2) = 0
trigger1= Command = "holdback"
trigger1 = StateNo = 0
value = 1020

;????????
[State -1,16]
type = ChangeState
triggerall = RoundState = 2
triggerall = Var(4) >= 91
triggerall = Life > 0
trigger1 = Var(2) = 0
trigger1 = Command = "openmouth"
trigger1 = Numhelper(4000) = 0
trigger1 = Numhelper(4001) = 0
trigger1 = Numhelper(4002) = 0
trigger1 = Numhelper(4100) = 0
trigger1 = Numhelper(4101) = 0
trigger1 = Numhelper(4102) = 0
trigger1 = StateNo = 0
trigger2 = Var(2) = 0
trigger2 = Command = "openmouth"
trigger2 = Numhelper(4000) = 0
trigger2 = Numhelper(4001) = 0
trigger2 = Numhelper(4002) = 0
trigger2 = Numhelper(4100) = 0
trigger2 = Numhelper(4101) = 0
trigger2 = Numhelper(4102) = 0
trigger2 = StateNo = 4200
trigger2 = Time >= 30
trigger3 = Var(2) = 0
trigger3 = Command = "openmouth"
trigger3 = StateNo = 4000
trigger3 = Var(3) = 1
trigger4 = Var(2) = 0
trigger4 = Command = "openmouth"
trigger4 = StateNo = 4100
trigger4 = Var(3) = 1
trigger5 = Var(2) = 1
trigger5 = P2Life > 0
trigger5 = Numhelper(4000) = 0
trigger5 = Numhelper(4001) = 0
trigger5 = Numhelper(4002) = 0
trigger5 = Numhelper(4100) = 0
trigger5 = Numhelper(4101) = 0
trigger5 = Numhelper(4102) = 0
trigger5 = Numhelper(4200) = 0
trigger5 = Numhelper(4201) = 0
trigger5 = Numhelper(4202) = 0
trigger5 = StateNo = 0
trigger5 = P2BodyDist X > -50
trigger6 = Var(2) = 1
trigger6 = P2Life > 0
trigger6 = Numhelper(4000) = 0
trigger6 = Numhelper(4001) = 0
trigger6 = Numhelper(4002) = 0
trigger6 = Numhelper(4100) = 0
trigger6 = Numhelper(4101) = 0
trigger6 = Numhelper(4102) = 0
trigger6 = StateNo = 0
trigger6 = Var(0) = 1
trigger6 = P2Dist X< 50
trigger6 = P2BodyDist X > -50
trigger7 = Var(2) = 1
trigger7 = P2Life > 0
trigger7 = Numhelper(4000) = 0
trigger7 = Numhelper(4001) = 0
trigger7 = Numhelper(4002) = 0
trigger7 = Numhelper(4100) = 0
trigger7 = Numhelper(4101) = 0
trigger7 = Numhelper(4102) = 0
trigger7 = StateNo = 4200
trigger7 = Time >= 30
trigger7 = P2Dist Y > -100
trigger8 = Var(2) = 1
trigger8 = P2Life > 0
trigger8 = StateNo = 4000
trigger8 = Var(3) = 1
trigger8 = P2Dist Y > -50
trigger8 = P2BodyDist X > -50
trigger9 = Var(2) = 1
trigger9 = P2Life > 0
trigger9 = Numhelper(4000) = 0
trigger9 = Numhelper(4001) = 0
trigger9 = Numhelper(4002) = 0
trigger9 = Numhelper(4100) = 0
trigger9 = Numhelper(4101) = 0
trigger9 = Numhelper(4102) = 0
trigger9 = StateNo = 0
trigger9 = Var(0) = 1
trigger9 = P2Dist X < 50
trigger9 = P2BodyDist X > -50
value = 2000
